> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# セッションインサイトを生成

> 必要に応じてセッションインサイトの生成をトリガーします。

インサイトがすでに生成されている場合は ``already_exists`` を返します。
それ以外の場合は、バックグラウンドで生成を開始します。生成完了後、結果を取得するには
GET insights エンドポイントをポーリングしてください。

<Note>
  `devin_id` は、セッション ID の先頭に `devin-` を付けたものです (例: `devin-abc123`) 。
</Note>

<div id="permissions">
  ## 権限
</div>

Enterprise レベルの `ManageAccountSessions` 権限を持つサービスユーザーが必要です。

<div id="behavior">
  ## 動作
</div>

* インサイトがすでに生成されている場合 (または生成中の場合) 、エンドポイントは再実行せず、`{ "status": "already_exists" }` を返します。
* インサイトが存在しない場合 (または前回の試行が失敗した場合) 、エンドポイントはバックグラウンドで生成を開始し、`{ "status": "started" }` を返します。
* 生成が完了したら、[GET セッションインサイト](/ja/api-reference/v3/sessions/get-enterprise-session-insights) エンドポイントをポーリングして結果を取得してください。


## OpenAPI

````yaml ja/v3-openapi.yaml POST /v3/enterprise/sessions/{devin_id}/insights/generate
openapi: 3.1.0
info:
  description: Service User 認証および RBAC に対応した Devin v3 API
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/enterprise/sessions/{devin_id}/insights/generate:
    post:
      tags:
        - sessions
      summary: セッションインサイトを生成
      description: |-
        必要に応じてセッションインサイトの生成をトリガーします。

        インサイトがすでに生成されている場合は ``already_exists`` を返します。
        それ以外の場合は、バックグラウンドで生成を開始します。生成完了後、結果を取得するには
        GET insights エンドポイントをポーリングしてください。
      operationId: >-
        handle_generate_account_session_insights_v3_enterprise_sessions__devin_id__insights_generate_post
      parameters:
        - description: 'Devin セッション ID（プレフィックス: devin-）'
          in: path
          name: devin_id
          required: true
          schema:
            anyOf:
              - type: string
              - type: 'null'
            example: devin-abc123def456
            title: Devin Id
        - in: query
          name: org_id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Org Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SessionInsightsGenerateResponse'
          description: 成功レスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: バリデーションエラー
components:
  schemas:
    SessionInsightsGenerateResponse:
      description: セッションインサイトの生成をトリガーした際のレスポンス。
      properties:
        session_id:
          description: インサイト生成がトリガーされたセッション ID。
          title: Session Id
          type: string
        status:
          description: 生成リクエストのステータス。
          title: Status
          type: string
      required:
        - session_id
        - status
      title: SessionInsightsGenerateResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 'サービスユーザーの認証情報（接頭辞: cog_）'
      scheme: bearer
      type: http

````